Delete endpoint
DELETE
/v1/endpoints/{id}
const url = 'https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000 \ --header 'Authorization: Bearer <token>'Soft-delete an endpoint. The endpoint will no longer accept new messages, and any in-flight messages will be marked as permanently failed.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Endpoint identifier (ep_ prefix + 32 hex chars)
Example
ep_550e8400e29b41d4a716446655440000Responses
Section titled “Responses”Endpoint deleted successfully
Media typeapplication/json
object
data
object
deleted
boolean
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "data": { "deleted": true }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.